import { BrowserRouter as Router, Routes, Route } from 'react-router-dom';
import { HelmetProvider } from "react-helmet-async";

import { ThemeProvider } from "@/components/ThemeProvider";

import HomePage from "@/pages/HomePage";

import LoginPage from "@/pages/LoginPage";

function App() {
    return (
        <HelmetProvider>
            <ThemeProvider defaultTheme="system" storageKey="ga-ui-theme">
                <Router>
                    <Routes>
                        <Route path="/">
                            <Route index element={<HomePage />} />
                            <Route path="user/">
                                <Route path="login" element={<LoginPage />} />
                            </Route>
                        </Route>
                    </Routes>
                </Router>
            </ThemeProvider>
        </HelmetProvider>
    );
};

export default App;
